## Function template make_scope_fail

boost::scope::make_scope_fail — Creates a scope fail guard with a given action function object.

## Synopsis

    // In header: <boost/scope/scope_fail.hpp>

    template<typename F>
      scope_fail< typename std::decay< F >::type >
      make_scope_fail(F && func, bool active = true);

## Description

Effects: Constructs a scope guard as if by calling `scope_fail< std::decay_t< F > >(std::forward< F >(func), active)`.

Parameters: |
`func` | The callable function object to invoke on destruction.
`active` | Indicates whether the scope guard should be active upon construction.